Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor.security
Class DisplayNameSpecialCharacterProcessor

    java.lang.Object
      com.bea.portal.appflow.processor.AbstractPortalProcessor
          com.bea.portal.appflow.processor.security.DisplayNameSpecialCharacterProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class DisplayNameSpecialCharacterProcessor
extends AbstractPortalProcessor

A portal processor that validates a display name that is entered that can not contain any of the special characters that are defined in the SecurityConstants file

Constructor Summary
`DisplayNameSpecialCharacterProcessor()` Deprecated.

Method Summary
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Deprecated. Process the webflow request.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisplayNameSpecialCharacterProcessor

    public DisplayNameSpecialCharacterProcessor()

  Deprecated.

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException,
                          com.bea.p13n.appflow.webflow.forms.InvalidFormDataException

  Deprecated.
  Process the webflow request.

  Specified by:
    `process` in class `AbstractPortalProcessor`
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`
    `com.bea.p13n.appflow.webflow.forms.InvalidFormDataException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved